List Bots
GET
/v1/bots
const url = 'https://api.cloud.agentums.ru/v1/bots';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloud.agentums.ru/v1/bots \ --header 'Authorization: Bearer <token>'Боты владельца + флаг «можно ли завести ещё» (для кнопки «+»).
Authorizations
Заголовок раздела «Authorizations»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
BotListOut
object
can_create
Can Create
boolean
items
Items
Array<object>
BotOutКарточка бота для экрана «Боты» и мастера.
object
agent_slug
required
Agent Slug
string
allowlist_count
Allowlist Count
integer
can_read_all_messages
Can Read All Messages
boolean
created_at
Created At
string
deep_link
Deep Link
string
enabled
required
Enabled
boolean
id
required
Id
string
owner_bound
required
Owner Bound
boolean
provider
required
Provider
string
title
required
Title
string
username
required
Username
string
webhook_set
required
Webhook Set
boolean
limit
Limit
integer
Example
{ "can_create": true, "items": [ { "allowlist_count": 0, "can_read_all_messages": false, "created_at": "", "deep_link": "" } ], "limit": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}